<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <variables>
    <variable name="remotes" description="Remote clients needing to verify OAuth2 account" type="domainname" multi="True" provider="OAuth2"/>
    <family name="oauth2_" description="OAuth2 for " dynamic="oauth2.remotes">
      <variable name="secret_" description="Remote secret for " type="password" mandatory="True" hidden="True" provider="OAuth2:secret"/>
      <variable name="name_" description="Remote name for " hidden="True" provider="OAuth2:name"/>
      <variable name="description_" description="Remote description for " hidden="True" provider="OAuth2:description"/>
      <variable name="category_" hidden="True" provider="OAuth2:category"/>
      <variable name="login_" description="Remote URL to login" hidden="True" provider="OAuth2:login"/>
      <family name="external_" leadership="True">
        <variable name="hosts_" description="Remote external for " provider="OAuth2:external" multi="True"/>
        <variable name="family_" hidden="True" provider="OAuth2:family"/>
      </family>
      <variable name="logo_" hidden="True" provider="OAuth2:logo"/>
      <variable name="token_signature_algo_" type="choice" description="OAuth2 token signature algorithm" mandatory='True' hidden="True" provider="OAuth2:token_signature_algo">
        <choice>HS512</choice>
        <choice>RS256</choice>
      </variable>
    </family>
    <variable name="clients" description="Remote clients" type="domainname" multi="True" supplier="OAuth2Client"/>
  </variables>
  <constraints>
    <fill name="calc_value">
      <param type="variable">oauth2.remotes</param>
      <target>oauth2.clients</target>
    </fill>
  </constraints>
</rougail>

